org.apache.ignite.internal.cache.transform

## Interface CacheObjectTransformerManager

All Superinterfaces:
  GridCacheSharedManager

    public interface CacheObjectTransformerManager
    extends GridCacheSharedManager

Provides cache object's bytes transformation (eg. encryption, compression, etc).

### Method Summary

All Methods Instance Methods Abstract Methods
`ByteBuffer` `restore(ByteBuffer transformed)` Restores the data.
`@Nullable ByteBuffer` `transform(ByteBuffer original)` Transforms the data.

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheSharedManager

`onDisconnected, onKernalStart, onKernalStop, onReconnected, printMemoryStats, start, stop`

### Method Detail

#### transform

    @Nullable
    @Nullable ByteBuffer transform(ByteBuffer original)

Transforms the data.

Parameters:
  `original` - Original data.
Returns:
  Transformed data (started with `GridBinaryMarshaller.TRANSFORMED` when restorable) or `null` when transformation is not possible/suitable.

#### restore

    ByteBuffer restore(ByteBuffer transformed)

Restores the data.

Parameters:
  `transformed` - Transformed data.
Returns:
  Restored data.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023